Name:		gtorrentviewer
Version:	0.2b
Release:	15%{?dist}
Summary:	A GTK2-based viewer and editor for BitTorrent meta files
Group:		Applications/Internet
License:	GPL+
URL:		http://gtorrentviewer.sourceforge.net/
Source0:	http://dl.sf.net/gtorrentviewer/GTorrentViewer-%{version}.tar.gz
Patch0:		gtorrentviewer-0.2b-desktop.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	curl-devel, gtk2-devel >= 2.4, desktop-file-utils, gettext, intltool

Requires(post):	  desktop-file-utils
Requires(postun): desktop-file-utils

%description
GTorrentViewer gives you the ability to see and modify all the possible
information from .torrent files without having to start downloading, and
the ability to see in real time the current number of seeds and peers on
the torrent, so you will always know the status before starting the
download.

%prep
%setup -q -n GTorrentViewer-%{version}
%patch0 -p1

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
%{__rm} -f %{buildroot}%{_datadir}/GTorrentViewer/README
/usr/bin/desktop-file-install \
	--vendor fedora \
	--add-category X-Fedora \
	--delete-original \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/gtorrentviewer.desktop

%clean
%{__rm} -rf %{buildroot}

%post
/usr/bin/update-desktop-database &> /dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/gtorrentviewer
%{_datadir}/GTorrentViewer
%{_datadir}/applications/fedora-gtorrentviewer.desktop
%{_datadir}/pixmaps/gtorrentviewer.png
%{_datadir}/pixmaps/gtorrentviewer.xpm
%{_mandir}/man1/gtorrentviewer.1*

%changelog
* Thu Feb 14 2008 Paul Howarth <paul@city-fan.org> 0.2b-15
- Rebuild with gcc 4.3.0 for Fedora 9

* Sun Aug 12 2007 Paul Howarth <paul@city-fan.org> 0.2b-14
- Clarify license as GPL (unspecified/any version)
- Update %%post & %%postun to redirect stderr to the bitbucket
- Update desktop file to spec version 1.0

* Tue Oct 30 2006 Paul Howarth <paul@city-fan.org> 0.2b-13
- rebuild for libcurl.so.4

* Tue Oct  3 2006 Paul Howarth <paul@city-fan.org> 0.2b-12
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 26 2006 Paul Howarth <paul@city-fan.org> 0.2b-11
- drag and drop works with files but not URIs (#206262);
  apply patch from Denis Leroy to fix desktop file accordingly
- escape macros in changelog entries
- use tabs rather than spaces

* Tue Aug 29 2006 Paul Howarth <paul@city-fan.org> 0.2b-10
- rebuild for dynamic linking speedups (FE6)

* Sun May 28 2006 Paul Howarth <paul@city-fan.org> 0.2b-9
- add missing buildreq intltool

* Tue Feb 14 2006 Paul Howarth <paul@city-fan.org> 0.2b-8
- cosmetic tweak: use macros instead of variables
- don't use macros in command paths, hardcode them instead

* Thu Nov  9 2005 Paul Howarth <paul@city-fan.org> 0.2b-7
- rebuild

* Mon Oct 17 2005 Paul Howarth <paul@city-fan.org> 0.2b-6
- rebuild

* Tue May 10 2005 Paul Howarth <paul@city-fan.org> 0.2b-5
- fix URL for SOURCE0 not to point to a specific sf.net mirror
- remove redundant build dependencies
- tidy URL

* Mon May  9 2005 Paul Howarth <paul@city-fan.org> 0.2b-4
- remove hard-coded dist tag, no longer needed
- remove duplicate README file from %%{_datadir}/GTorrentViewer

* Mon May  9 2005 Paul Howarth <paul@city-fan.org> 0.2b-3
- reverted desktop file pathname to relative paths
- run update-desktop-database in post-scripts; add post and
  postun dependencies on desktop-file-utils
- use full URL for SOURCE0
- tidy up description

* Mon May  9 2005 Paul Howarth <paul@city-fan.org> 0.2b-2
- lowercased package name
- removed zero sized NEWS file
- add dist tag to release

* Fri May  6 2005 Paul Howarth <paul@city-fan.org> 0.2b-1
- initial build for Fedora Extras
